Installing OpenERP v6.0.1 on Ubuntu 10.10 …

step by step installing openerp versi 6 di ubuntu 10.10

nah kali kita membahas yang namanya openerp. apa itu openerp????nah itu juga mungkin jadi pertanyaan

OpenERP is an open source comprehensive suite of business applications including Sales, CRM, Project management, Warehouse management, Manufacturing, Accounting and Human Resources. OpenERP has separate client and server components. XML-RPC interfaces are available. Wikipedia

oke langsung saja ke cara installnya..

1. yang harus diperhatikan dan paling diperhatikan adalah installasi database. Disini saya mengunakan database postgreSQL.

sudo apt-get install postgresql

2. setelah selesai install postgresql berhasil kita berlanjut menginstall PGadmin3. aplikasi ini sebenernya optional tergantung anda jika menginginkan postgresql di akses melalui GUI. maka kita membutuhkan installasi dari pgadmin3

sudo apt-get install pgadmin3


3. setelah berhasil kita akan berlanjut dengan mengedit /etc/postgresql/8.4/main/postgresql.conf

sudo gedit /etc/postgresql/8.4/main/postgresql.conf

kemudian kita mencari dan diganti dengan berikut ini :
listen_addresses = ‘*’
log_statement = ‘all’
4. setelah kita mengedit diatas lalu dilanjutkan dengan mengedit /etc/postgresql/8.4/main/pg_hba.conf.

sudo gedit /etc/postgresql/8.4/main/pg_hba.conf

pada bagian ini kita akan mengedit pada bagian

local all all trust

tujuan dari pengantian md5 method agar server openerp dapat terhubung ke postgresql.
5. setelah selesai kita akan menjalankan postgresql dengan script sebagai berikut :

sudo service openerp-web start

Berlanjut ke Installing OPENERP-SERVER
1. sebelum kita mendownload openerp server terlebih dahulu kita harus membuat user dulu:

adduser openerp

2. setelah itu kita dapat membuat setting dari user postgres:

sudo su postgres

kemudian dilanjutkan dengan menambahkan user di postgres

postgres@openerp-desktop:/$ createuser openerp
Shall the new role be a superuser? (y/n) y

untuk mengecek list pada table kita dengan mengunakan command sebagai berikut:

postgres@openerp-desktop:/$ psql -l

kemudian nanti akan terbaca seperti ini :

untuk menambahkan password kita akan melakukkan :

template1=# alter role openerp with password ‘postgres’;
ALTER ROLE

3, sebelum itu update lah phyton anda dengan melakukkan :

sudo apt-get install python python-psycopg2 python-reportlab \
python-egenix-mxdatetime python-tz python-pychart \
python-pydot python-lxml python-vobject python-setuptools
sudo easy_install PyYaml
sudo apt-get install python-mako
sudo apt-get install python-yaml

setelah itu kita harus mendownload terlebih dahulu openerp server di alamat ini: http://www.openerp.com/download/stable/source/openerp-server-6.0.1.tar.gz setelah itu kita mulai mengextrack file tersebut.

tar -xzf openerp-server-6.0.1.tar.gz

setelah kita ekstrak kita kita masuk ke :

cd openerp-server-6.0.1
python setup.py install

4. setelah itu kita akan menjalankan service pada openerp server

sudo -u openerp openerp-server

5 . agar openerp-server kita dapat berjalan sewaktu booting kita harus menambahkan file di /etc/init.d/openerp-server
dengan mengunakan perintah sebagai berikut :

sudo gedit /etc/init.d/openerp-server

lalu kita dapat menambahkan script sebagai berikut :

      #!/bin/sh

#
# OpenERP init script v0.1 for centos by Open-Future
# Bert Deferme - www.open-future.be - bert@open-future.be
#

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# For a copy of the GNU General Public License, see <http://www.gnu.org/licenses/>.

# chkconfig: 345 60 61
# description: starts the openerp-server service

NAME=openerp-server
USER=openerp

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
PIDDIR=/var/run/openerp
PIDFILE=$PIDDIR/$NAME.pid
DAEMON=/usr/local/bin/openerp-server
DAEMONOPTS="--pidfile=${PIDFILE}"

checkpid() {
  [ -f $PIDFILE ] || return 1
  pid=`cat $PIDFILE`
  [ -d /proc/$pid ] && return 0
  return 1
}

do_start() {

  if [ -f $PIDFILE ]; then
    echo "pidfile already exists: $PIDFILE"
    exit 1
  fi

  echo -n "Starting $NAME: "

  if [ ! -d $PIDDIR ]
  then
      mkdir $PIDDIR
      chown $USER $PIDDIR
  fi

  su - $USER -c "nohup $DAEMON $DAEMONOPTS >/dev/null 2>&1 &"

  sleep 3

  checkpid

  if [ $? -eq 1 ]; then
    rm -f $PIDFILE
    echo "failed."
    exit 1
  fi

  echo "done."
}

do_stop() {

  checkpid

  if [ $? -eq 1 ]; then
    echo -n "$NAME not running... (no pidfile found)"
    exit 0
  fi

  echo -n "Stopping $NAME: "

  pid=`cat $PIDFILE`
  kill -15 $pid

  sleep 2

  if [ $? -eq 1 ]; then
    echo "Failed. (pidfile found but process didn't exist)"
    exit 1
  fi

  echo "done."

}

do_status() {

  echo -n "Checking $NAME: "

  checkpid

  if [ $? -eq 1 ]; then
    echo "stopped."
  else
    echo "running."
  fi

}

do_restart() {

  do_stop

  if [ $? -eq 1 ]; then
    exit 1
  fi

  do_start

}

case "$1" in
    start) do_start ;;
    stop) do_stop ;;
    restart|force-reload) do_restart ;;
    status) do_status ;;
    *)
        N=/etc/init.d/$NAME
        echo "Usage: $N {start|stop|restart|status}" >&2
        exit 1
        ;;
esac

exit 0
    

atau skrip dapat dilihat di sini

5 . buatlah file tersebut menjadi executable

sudo chmod a+x /etc/init.d/openerp-server

6. buatlah link dari /etc/init.d/openerp-server to /etc/rc*.d

ln -s /etc/init.d/openerp-server /etc/rc0.d/K83openerp-server
ln -s /etc/init.d/openerp-server /etc/rc1.d/S83openerp-server
ln -s /etc/init.d/openerp-server /etc/rc2.d/S83openerp-server
ln -s /etc/init.d/openerp-server /etc/rc3.d/S83openerp-server
ln -s /etc/init.d/openerp-server /etc/rc4.d/S83openerp-server
ln -s /etc/init.d/openerp-server /etc/rc5.d/S83openerp-server
ln -s /etc/init.d/openerp-server /etc/rc6.d/K83openerp-server

7. kemudian jalankan server openerp

service openerp-server start
atau
sudo -u openerp openerp-server


Berlanjut ke Installing OPENERP-Client
1, Sebelum installing download tar file di http://www.openerp.com/download/stable/source/openerp-client-6.0.1.tar.gz
2. kemudian kunjungi folder download lalu jalan perintah

tar -zxf openerp-client-6.0.1.tar.gz
cd openerp-client-6.0.1

3. untuk menginstall tinggall kita melakukkan perintah :

cd openerp-client-6.0.1
python setup.py install

tunggu sampai selesai setelah itu dapat dijalankan
4. jika anda ingin mengetest koneksi berhasil atau tidak kita dapat menjalankan perintah

cd openerp-client-6.0.1
cd bin
openerp-client-6.0.1/bin$ python openerp-client.py

dengan perintah diatas kita akan mendapatkan tampilan sebagai berikut :

setelah gambar diatas keluar kita hanya tinggal membuat database apa yang kita inginkan

Berlanjut ke Installing OPENERP-Web
installasi pada web agak berbeda. ikut langkah sebagai berikut
1. sebelum kita memulai installasi openerp-web kita harus menginstall terlebih dahulu

sudo apt-get install python-dev build-essential

2. setelah itu kita dapat mendownload file http://www.openerp.com/download/stable/source/openerp-web-6.0.1.tar.gz
3. setelah download selesai kita akan melakukan ekstrack

tar openerp-web-6.0.1.tar.gz
cd openerp-web-6.0.1
python setup.py install

4. setelah menginstall kita akan membuat file copy-an /usr/local/lib/python2.6/dist-packages/openerp_web-6.0.1-py2.6.egg/doc/openerp-web.cfg to /etc/openerp-web.cfg . dengan mengunakan perintah :

cp /usr/local/lib/python2.6/dist-packages/openerp_web-6.0.1-py2.6.egg/doc/openerp-web.cfg to /etc/openerp-web.cfg

kemudian kita akan mengedit /etc/openerp-web.cfg

sudo gedit /etc/openerp-web.cfg

      [global]
server.environment = "development"

# Some server parameters that you may want to tweak
server.socket_host = "0.0.0.0"
# server.socket_host = "127.0.0.1"
server.socket_port = 8080

# Sets the number of threads the server uses
server.thread_pool = 10

tools.sessions.on = True

# Simple code profiling
server.profile_on = False
server.profile_dir = "profile"

# if this is part of a larger site, you can set the path
# to the TurboGears instance here
#server.webpath = ""

# Set to True if you are deploying your App behind a proxy
# e.g. Apache using mod_proxy
#tools.proxy.on = True

# If your proxy does not add the X-Forwarded-Host header, set
# the following to the *public* host url.
#tools.proxy.base = 'http://example.com'

# logging
log.access_file = "/var/log/openerp-web/access.log"
log.error_file = "/var/log/openerp-web/error.log"

# OpenERP tools
tools.nestedvars.on = True

# OpenERP Server
openerp.server.host = 'localhost'
openerp.server.port = '8070'
openerp.server.protocol = 'socket'
openerp.server.timeout = 450

# Web client settings
[openerp-web]
# filter dblists based on url pattern?
# NONE: No Filter
# EXACT: Exact Hostname
# UNDERSCORE: Hostname_
# BOTH: Exact Hostname or Hostname_

dblist.filter = 'NONE'

# whether to show Databases button on Login screen or not
dbbutton.visible = True

# will be applied on company logo
company.url = 'http://www.example.com/your_logo.jpg'
   

5. untuk membuat startup dari openerp-web, kita harus membuat file /etc/init.d/openerp-web

sudo gedit /etc/init.d/openerp-web

kemudian kita dapat menambahkan file berikut:

       #!/bin/sh
#
# OpenERP init script v0.2 for Centos and Ubuntu by Open-Future
# Bert Deferme - www.open-future.be - bert@open-future.be
# Philip Uren - www.mbase.com.au - philu A-t ieee.org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# For a copy of the GNU General Public License, see <http://www.gnu.org/licenses/>.
# chkconfig: 345 61 60
# description: runs the openerp-web service
###################################################################################

NAME=openerp-web
USER=openerp

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
DAEMON=/usr/local/bin/openerp-web
PIDDIR=/var/run/openerp
PIDFILE=$PIDDIR/$NAME.pid
DAEMONOPTS="-c /etc/openerp-web.cfg"

checkpid() {
  [ -s $PIDFILE ] || return 1
  pid=`cat $PIDFILE`
  [ -z "$pid" ] && return 1
  [ -d /proc/$pid ] && return 0
  return 1
}

do_start() {

  if [ -f $PIDFILE ]; then
    echo "pidfile already exists: $PIDFILE"
    exit 1
  fi

  echo -n "Starting $NAME: "

  if [ ! -d $PIDDIR ]
  then
      mkdir $PIDDIR
      chown $USER $PIDDIR
  fi

  su - $USER -c "nohup $DAEMON $DAEMONOPTS >/dev/null 2>&1 &"

  sleep 2

  # This next line, in particular the use of the cut command, doesn't work on Ubuntu 10.10
  # because it treats a single space as a delimiter, not a series of spaces.
  # pid=`ps -ef|grep openerp-web|grep -v grep|cut -d " " -f3`
  ps -ef | grep openerp-web | grep python | grep -v grep | awk '{print $2}' > $PIDFILE  

  checkpid
  if [ $? -eq 1 ]; then
    rm -f $PIDFILE
    echo "failed."
    exit 1
  fi

  echo "done."
}

do_stop() {

  checkpid
  if [ $? -eq 1 ]; then
    echo -n "$NAME not running... (no pidfile found)"
    exit 0
  fi

  echo -n "Stopping $NAME: "

  pid=`cat $PIDFILE`
  kill -15 $pid

  sleep 2

  if [ $? -eq 1 ]; then
    echo "Failed. (pidfile found but process didn't exist)"
    exit 1
  fi

  rm $PIDFILE

  echo "done."

}

do_status() {

  echo -n "Checking $NAME: "

  checkpid
  if [ $? -eq 1 ]; then
    echo "stopped."
  else
    echo "running."
  fi

}

do_restart() {

  do_stop

  if [ $? -eq 1 ]; then
    exit 1
  fi

  do_start

}

case "$1" in
    start) do_start ;;
    stop) do_stop ;;
    restart|force-reload) do_restart ;;
    status) do_status ;;
    *)
        N=/etc/init.d/$NAME
        echo "Usage: $N {start|stop|restart|status}" >&2
        exit 1
        ;;
esac

exit 0
     

6. buatlah file tersebut menjadi executable

chmod a+x /etc/init.d/openerp-web

7. buatlah link dari /etc/init.d/openerp-server to /etc/rc*.d

ln -s /etc/init.d/openerp-web /etc/rc0.d/K82openerp-web
ln -s /etc/init.d/openerp-web /etc/rc1.d/S84openerp-web
ln -s /etc/init.d/openerp-web /etc/rc2.d/S84openerp-web
ln -s /etc/init.d/openerp-web /etc/rc3.d/S84openerp-web
ln -s /etc/init.d/openerp-web /etc/rc4.d/S84openerp-web
ln -s /etc/init.d/openerp-web /etc/rc5.d/S84openerp-web
ln -s /etc/init.d/openerp-web /etc/rc6.d/K82openerp-web

8. kemudian kita akan menjalankan openerp-web nya

openerp-web start


jika saat menjalankan terdapat error

File “/home/rsync/openerp/stable/5.0/openerp-web-5.0.7/openerp/commands.py”, line 11, in
from cherrypy._cpconfig import as_dict
ImportError: cannot import name as_dict

solusinya adalah dengan mendownloa cherryPy 3.1.2
dengan mengunakan script sebagai berikut :

sudo easy_install cherrypy==3.1.2

dengan perintah itu maka error diatas akan hilang insyallah..:D

lalu buka http://localhost:8080/

jika kurang jelas anda dapat bertanya…, jika dapat menjawab akan saya jawab.

2 thoughts on “Installing OpenERP v6.0.1 on Ubuntu 10.10 …

  1. Halo mas Yaniar,

    Saya baru sebulan ini belajar openERP sekaligus Debian nya.
    OpenERP server dan Web Client nya udah berhasil di install dan run dan sudah bisa di akses dari browser. Saya install Debian 6 tanpa GUI, jadi hanya menggunakan CLI.

    Yang openERP server sudah berhasil saya run sebagai service mengikuti langkah yg ada disini. Tapi kalau saya restart Debiannya, openERP-server nya tidak mau run secara otomatis. Sedangkan yang openERP webnya masih belum berhasil run as service, error yg didapat selalu “failed.”.

    Kira-kira salah dimana ya?

    Thanks
    Oky

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s